apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: mongodb-0.0.0-4be88cf2
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: mongodb
      name: mongodb
      nodes:
        flags:
          - from: setting
            key: v1_disable_backup
            setting: disable_backup
            to: label
        settings:
          - from:
              - user
            name: disable_backup
            schema:
              default: true
              description: Disable backup on this node. Set this to false for at least one node (preferrably slave).
              type: boolean
      podspec:
        containers:
          - image: aep/base_jammy
            name: mongodb
      provides:
        - exposed: true
          name: mongodb
          network: direct
          servicespec:
            ports:
              - name: mongodb
                port: 27017
                protocol: TCP
                targetPort: 27017
      sizing:
        increment: 1
        initial: 3
        maximum: 10
        minimum: 3
        setup:
          initial:
            - settings:
                - key: disable_backup
                  value: false
  dependencies:
    operator:
      name: mongodb-operator
      vendor: asag
      version: 0.0.0-4be88cf2
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.0
  name: mongodb
  settings:
    - name: environment
      schema:
        default: mongodb_prod
  version: 0.0.0-4be88cf2
